Intermediate Steps Needed In Order To Run 'security-upgradetool.bat' Successfully for WCI Analytics 10.3 (Doc ID 1077839.1)

Last updated on JANUARY 03, 2017

Applies to:

Oracle WebCenter Analytics - Version 10.3.0 to 10.3.0.1
Information in this document applies to any platform.
***Checked for relevance on 27-Jan-2014***

Symptoms

The 'Oracle WebCenter Analytics Installation and Upgrade Guide (for Oracle WebCenter Interaction) 10g Release 3 (10.3.0.1)' instructs users to run 'security-upgradetool.bat' to as a part of the upgrade process. Locate this script at 'install_dir\ptanalytics\10.3.0.1\bin'.

This script does not, however, run successfully and generates the follow error:

Exception in thread "Main Thread" java.lang.NoClassDefFoundError:
  javax/jdo/spi/
  PersistenceCapable
     at java.lang.ClassLoader.defineClass1(Native Method)
     at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
     at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
     at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
     ...

Changes

Upgrading WCI Analytics from version 2.1 to 10.3.0.0 causes this problem.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms